<?php  
	include "conexion.php";
	include "insertar_log.php";
	$id_aplicacion = "0";

	$datos = " Ingresa a obtener_formas_pago ";	
		insertarLog($datos,$id_aplicacion);
	
	$sentencia = $conexion->prepare("SELECT valor FROM parametros where id_parametro='app_formas_pago' ");
	$sentencia->execute();

	$resultado = $sentencia->get_result();
	$app_formas_pago="";

	while($fila = $resultado->fetch_assoc())
	{
		$app_formas_pago=$fila['valor'];
	}

	$sentencia->close();

	$datos = " Obtiene informacion parametro app_formas_pago=".$app_formas_pago;	
		insertarLog($datos,$id_aplicacion);

	if($app_formas_pago!="")
	{

		$array = explode(',', $app_formas_pago);
		$app_formas_pago="";

		for($i=0;$i<sizeof($array);$i++)
		{
			$app_formas_pago.= "'".$array[$i]."',";
		}
		$app_formas_pago = substr($app_formas_pago, 0,-1);

		$sentencia = $conexion->prepare("SELECT id,descripcion,editable FROM cat_formapago where id in (".$app_formas_pago.")");	
		$sentencia->execute();

		$resultado = $sentencia->get_result();
		$cont=0;

		while($fila = $resultado->fetch_assoc())
		{
			$forma_pago['id']=$fila['id'];
			$forma_pago['descripcion']=$fila['descripcion'];

			
				$forma_pago['editable']=$fila['editable'];

			
			$array[$cont] = $forma_pago;
			$cont++;
		}

		
		$sentencia->close();

	$datos = " Obtiene informacion de formas de pago";	
		insertarLog($datos,$id_aplicacion);
	}
	else
	{
		$sentencia = $conexion->prepare("SELECT id,descripcion,editable FROM cat_formapago ");

		$sentencia->execute();

		$resultado = $sentencia->get_result();
		$cont=0;

		while($fila = $resultado->fetch_assoc())
		{
			$forma_pago['id']=$fila['id'];
			$forma_pago['descripcion']=$fila['descripcion'];

			
				$forma_pago['editable']=$fila['editable'];

			
			$array[$cont] = $forma_pago;
			$cont++;
		}

		
		$sentencia->close();
		$datos = " Obtiene informacion de formas de pago";	
		insertarLog($datos,$id_aplicacion);
	}

	

	$vales=0;

	$sentencia = $conexion->prepare("SELECT count(*) as cuantos from empresas_reembolso where facturable=0 and estado=1");

	$sentencia->execute();

	$resultado = $sentencia->get_result();

	while($fila = $resultado->fetch_assoc())
	{
		$vales=$fila['cuantos'];
		
	}
	$sentencia->close();
	if($vales>0)
	{
		$forma_pago['id']="1000";
		$forma_pago['descripcion']="Vales de gasolina";
		$forma_pago['editable']=0;
		$array[$cont] = $forma_pago;

	}



	$conexion->close();

	$datos = " Termina proceso de formas de pago";	
		insertarLog($datos,$id_aplicacion);
		
	echo response(0,"OK",$array);


	function response($estatus,$estatus_mensaje,$respuesta){
		header("HTTP/1.1".$estatus);

		$response["estatus"]=$estatus;
		$response["estatus_mensaje"]=$estatus_mensaje;
		$response["respuesta"]=$respuesta;
		
		$json_response = json_encode($response, JSON_UNESCAPED_UNICODE);

		echo $json_response;

	}

?>